POST Agents/Quote/GetQuoteVersionWorkflowButtonStates
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/Quote/GetQuoteVersionWorkflowButtonStates
Get all button states for the Quote version dialog.
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Quote/GetQuoteVersionWorkflowButtonStates?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
QuoteVersionId, QuoteAlternativeId
| Property Name | Type | Description |
|---|---|---|
| QuoteVersionId | Integer | |
| QuoteAlternativeId | Integer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: QuoteVersionWorkflowState
| Property Name | Type | Description |
|---|---|---|
| ActionButtons | array | Array of visible buttons with defined actions in the quote verson dialog. |
| StateImage | QuoteVersionButtonState | Information about the state image for the current quote version. |
| UpdatePricesButton | QuoteVersionButtonState | Information about the action for the update prices button. |
| Status | QuoteVersionStatusInformation | Status information for the Quote Version. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Quote/GetQuoteVersionWorkflowButtonStates
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"QuoteVersionId": 515,
"QuoteAlternativeId": 766
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ActionButtons": [
{
"Action": "Approve",
"ImageHint": "consequatur",
"DisplayText": "reiciendis",
"TooltipText": "sit",
"Enabled": false,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 251
}
}
}
],
"StateImage": null,
"UpdatePricesButton": null,
"Status": null,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 131
}
}
}